package adt2prism;

/**
 *
 * @author zaas
 * Support enums for ADNode
 */
public class ADConstants {
    
    //enum for the possible refinements for nodes
    public enum Refinement {AND, OR, SAND, SOR, LEAF, NEG, SIM};
    
    //enum for players
    public enum Player {attacker, defender};
    
    // Swap player p with the opposite player
    public static Player changePlayer(Player p) {
        if(p==Player.attacker)
            return Player.defender;
        else
            return Player.attacker;
    }
}
